Subject: Re: bug#43615: 26.3; eshell: face for directory and symlink the same in terminal

From: [email-masked] (Alfred M. Szmidt)
Date: Sat, 26 Sep 2020 02:22:20 -0400

>    >    On the same terminal, if you start "M-x shell" and invoke 'ls', which
   >    >    colors do you see for these two file types?
   >    > 
   >    > It is a grey color; nor is there a face associated with either of the
   >    > two file types.
   > 
   >    Even if you say "ls --color=always"?
   > 
   >    And how do the colors look when you invoke 'ls --color' from the
   >    shell?
   > 
   > OpenBSD ls doesn't support the --color option (or colors I think?),
   > not sure I understand why that matters

   I was trying to establish what colors would be reasonable there.

   How many colors does that terminal support?

16 colors from what I understand.  list-color-display shows:

  black		       black  #000000
  red		       red  #ff0000
  green		       green  #00ff00
  yellow		       yellow  #ffff00
  blue		       blue  #0000ff
  magenta		       magenta  #ff00ff
  cyan		       cyan  #00ffff
  white		       white  #ffffff

I'd think that magenta would make most sense, but that would require
changing what is used for eshell-ls-archive?